{"openapi":"3.0.2","info":{"title":"DexGuru Public API","description":"<p>To start using DexGuru API, all you need is an API key. Go to <a target=\"_blank\"\n        rel=\"noopener noreferrer\" href=\"https://developers.dex.guru\">\n        developers.dex.guru</a>, connect your web3 wallet, create a project and copy your API key.\n        This API key is all you need to start receiving reliable on-chain trading data on multiple EVM-compatible\n        networks.\n        There are two ways to authorize your API request. Instead of YOUR_API_KEY, use the key you got at developers.dex.guru.<br><br>\n        1. Query Parameter<br>\n        ex: <i>curl https://api.dev.dex.guru/v1/chain/?api-key=YOUR_API_KEY</i><br><br>\n        2. Authorization Header<br>\n        ex: <i>curl https://api.dev.dex.guru/v1/chain/ -H 'api-key: YOUR_API_KEY'</i><br>\n        </p>\n        <p>\n        <span>List of supported networks with the corresponding ChainID:</span>\n        <ul>\n            <li>Ethereum 1</li>\n            <li>BSC 56</li>\n            <li>Polygon 137</li>\n            <li>Avalanche 43114</li>\n            <li>Arbitrum 42161</li>\n            <li>Fantom 250</li>\n            <li>CELO 42220</li>\n            <li>Optimism 10</li>\n            <li>Gnosis 100</li>\n            <li>Canto 7000</li>\n            <li>Arbitrum Nova 42170</li>\n            <li>Arbitrum Nova 42170</li>\n            <li>zkSync Era 324</li>\n            <li>zkEVM 1101</li>\n            <li>KCC 321</li>\n        </ul>\n        </p>\n        <p>Examples of data we provide:</p>\n        <ul>\n            <li>Token Current Price</li>\n            <li>Recent On-Chain Transactions</li>\n            <li>Mints and Burns, a.k.a Liquidity Pool Adds and Removes</li>\n            <li>Wallet Activity</li>\n        </ul>\n        <p>\n            We also provide convenient SDKs for <a href=\"https://www.npmjs.com/package/dexguru-sdk\">Node</a>\n            and <a href=\"https://pypi.org/project/dexguru-sdk/\">Python</a> developers:\n            <br>\n            <i>npm install dexguru-sdk</i>\n            <br><i>pip install dexguru-sdk</i>\n        </p>\n        <p>Github links to SDKs:\n            <br><a href=\"https://github.com/dex-guru/dg-sdk-node\">https://github.com/dex-guru/dg-sdk-node</a>\n            <br><a href=\"https://github.com/dex-guru/dg-sdk-python\">https://github.com/dex-guru/dg-sdk-python</a>\n        </p>\n        <p>Rate limit is 5 concurrent requests per second.</p>\n        <p>While we are in Beta, API is free for personal use. After we are out of Beta,\n        we’ll have a free tier and paid tiers based on API calls usage. Paid tier would require you to stake a certain\n        amount of our upcoming token to get access to real-time data.</p>\n        <h2>RPC Endpoints</h2>\n        <p>RPC Endpoints are proxies to dex.guru hosted blockchain nodes, there are full nodes and archive nodes.<br>\n        to call specific node call:\n         <ul>\n            <li>/chain_id/api-key FULL node</li>\n            <li>/chain_id/archive/api-key ARCHIVE node</li>\n        </ul>\n        RPC functions are limited to read only requests. Account limits applied, by default, free layer - 1M requests.\n        You can use same key, generated at <a href=\"https://developers.dex.guru\">https://developers.dex.guru</a>\n        </p>\n        <h2>Support</h2>\n        <p>Need help with our API or want to provide some feedback? Join our <a href=\"https://discord.gg/dPW8fzwzz9\">\n        Community Discord Server</a> and head to <b>#api-questions</b> channel, where you can chat with fellow\n        builders!</p>\n        <h2>FAQ</h2>\n        <h3><strong>Q: Why can I not access all historical data about a certain token?</strong></h3>\n        <p><strong>A:</strong> For the time being, for every DEX/AMM that is added onto DexGuru, we currently index and\n        display transaction data only from the date/time they are implemented. This means for all transactions (and\n        their TX data) that have occurred before the date of the DEX/AMM implementation date, will not be included in\n        transaction lists, aggregates/counts, and charts that involve the pre-implementation time period.\n        You can find the list of DEXs and when they were added at\n        <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://docs.dex.guru/data/supported-dexs-amms\">\n        https://docs.dex.guru/data/supported-dexs-amms</a></p>\n        <h3><strong>Q: How often data is updated? </strong></h3>\n        <p><strong>A:</strong> Currently our API is in beta and there is a 300 seconds delay on all on-chain data.</p>\n        <h3><strong>Q: Am I sending too many requests?</strong></h3>\n        <p><strong>A:</strong> The rate limit is 5 concurrent requests per second.</p>\n        <h3><strong>Q: I only receive 20 transactions in the response. How can I look at older transactions?\n        </strong></h3>\n        <p><strong>A:</strong> Use \"limit\" and \"offset\" query parameters to use pagination.\n        Using the \"offset\" parameter you can specify where to start a page.\n        Using the \"limit\" parameter you can specify the page size.</p>\n        <h2>Some parameters can be unclear. Below are their descriptions.</h2>\n        <p><strong>chain_id -</strong> You can look up chainID for any EVM powered network by going to\n        <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://chainlist.org/\">https://chainlist.org/</a>.</p>\n        <p><strong>verified -</strong> We use Token Lists to identify verified tokens. A token is considered verified\n        if present in at least one Token List. For ERC-20 tokens we use <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://tokenlists.org/\">https://tokenlists.org/</a>. For more info go to <a target=\"_blank\"\n        rel=\"noopener noreferrer\" href=\"https://docs.dex.guru/data/off-chain-data-usage#usage-of-token-lists\">\n        https://docs.dex.guru/data/off-chain-data-usage#usage-of-token-lists</a>.</p>\n        <p><strong>limit -</strong> This is a parameter used for pagination. Use it to specify the page size. Learn\n        more about pagination <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://developer.digitalchalk.com/document/rest-api-v5/limit-and-offset/\">here</a></p>\n        <p><strong>offset -</strong> This is a parameter used for pagination. Use it to specify where to start a page.\n        Learn more about pagination <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://developer.digitalchalk.com/document/rest-api-v5/limit-and-offset/\">here</a>.</p>\n        <p><strong>wallet category -</strong></p>\n        <ul>\n            <li><strong>heavy -</strong> Heavy Trader with $500k+ of a trading volume in the last 30 days.</li>\n            <li><strong>medium -</strong> Active Trader with $100k-$500k of a trading volume in the last 30 days.</li>\n            <li><strong>casual -</strong> Casual Trader with $10k-$100k of a trading volume in the last 30 days.</li>\n            <li><strong>bot -</strong> Trader with 1000+ TXs in the last 30 days. Most likely a bot.</li>\n            <li><strong>noob -</strong> All other wallet addresses.</li>\n        </ul>","version":"1.1.2","x-logo":{"url":"https://pbs.twimg.com/profile_images/1311323925545062402/lQGCxH5M_400x400.jpg"}},"servers":[{"url":"https://api.dev.dex.guru"}],"paths":{"/{chain_id}":{"post":{"tags":["NODES RPC API"],"summary":"Post Rpc Request","description":"RPC Endpoints of full blockchain nodes\nuse key, generated at <a href=\"https://developers.dex.guru\">https://developers.dex.guru</a>\nrequest payload example: {\"jsonrpc\":\"2.0\",\"method\":\"web3_clientVersion\",\"params\":[],\"id\":67}","operationId":"post_rpc_request__chain_id__post","parameters":[{"description":"Chain  Id","required":true,"schema":{"allOf":[{"$ref":"#/components/schemas/ChainChoices"}],"description":"Chain  Id"},"name":"chain_id","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_post_rpc_request__chain_id__post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RPCResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/{chain_id}/archive":{"post":{"tags":["NODES RPC API"],"summary":"Post Rpc Request","description":"RPC Endpoints of archive blockchain nodes\nuse key, generated at <a href=\"https://developers.dex.guru\">https://developers.dex.guru</a>\nrequest payload example: {\"jsonrpc\":\"2.0\",\"method\":\"web3_clientVersion\",\"params\":[],\"id\":67}","operationId":"post_rpc_request__chain_id__archive_post","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_post_rpc_request__chain_id__archive_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RPCResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain":{"get":{"tags":["Chain Inventory"],"summary":"Get All Chains","operationId":"get_all_chains_v1_chain_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestChainsListModel"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}":{"get":{"tags":["Chain Inventory"],"summary":"Get Chain","operationId":"get_chain_v1_chain__chain_id__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestChainModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/tradingview/config":{"get":{"tags":["OHLC Candles UDF Feed"],"summary":"Get Tradingview Config","description":"Returns Tradingveiw library config","operationId":"get_tradingview_config_v1_tradingview_config_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/tradingview/history":{"get":{"tags":["OHLC Candles UDF Feed"],"summary":"Get History","description":"UDF Feed returns candles for a token in OHLC format supported by TradingView.","operationId":"get_history_v1_tradingview_history_get","parameters":[{"description":"Symbol in {token_address}-{network}_USD","required":false,"schema":{"title":"Symbol","type":"string","description":"Symbol in {token_address}-{network}_USD","default":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2-eth_USD"},"name":"symbol","in":"query"},{"description":"In Minutes: 1,5,10,30,60,240,720,1440, Days: 1D, Weeks, 1W","required":false,"schema":{"title":"Resolution","type":"string","description":"In Minutes: 1,5,10,30,60,240,720,1440, Days: 1D, Weeks, 1W","default":"1D"},"name":"resolution","in":"query"},{"required":false,"schema":{"title":"From","type":"integer","default":1769769697},"name":"from","in":"query"},{"required":false,"schema":{"title":"To","type":"integer","default":1770374497},"name":"to","in":"query"},{"required":false,"schema":{"$ref":"#/components/schemas/CurrencyChoices"},"name":"currencyCode","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/tradingview/search":{"get":{"tags":["OHLC Candles UDF Feed"],"summary":"Tradingview Search","description":"Search for a token by symbol or address\", comparteble with TradingView search","operationId":"tradingview_search_v1_tradingview_search_get","parameters":[{"required":true,"schema":{"title":"Query","type":"string"},"name":"query","in":"query"},{"required":false,"schema":{"title":"Type","type":"string"},"name":"type","in":"query"},{"required":false,"schema":{"title":"Exchange","type":"string"},"name":"exchange","in":"query"},{"required":false,"schema":{"title":"Limit","type":"integer","default":30},"name":"limit","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/tradingview/symbols":{"get":{"tags":["OHLC Candles UDF Feed"],"summary":"Get Tradingview Symbols","description":"Get info about token for TradingView symbol, symbols in format {token_address}-{network}_USD","operationId":"get_tradingview_symbols_v1_tradingview_symbols_get","parameters":[{"description":"Symbol in {token_address}-{network}_USD","required":false,"schema":{"title":"Symbol","type":"string","description":"Symbol in {token_address}-{network}_USD","default":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2-eth_USD"},"name":"symbol","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/tradingview/time":{"get":{"tags":["OHLC Candles UDF Feed"],"summary":"Get Time","description":"Get current server time in milliseconds","operationId":"get_time_v1_tradingview_time_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/chain/{chain_id}/transactions":{"get":{"tags":["Chain Transactions"],"summary":"Get Transactions","operationId":"get_transactions_v1_chain__chain_id__transactions_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Transactions in <i>amm</i>","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Transactions in <i>amm</i>"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transactions from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transactions from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transactions to end_timestamp. Default now","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transactions to end_timestamp. Default now"},"name":"end_timestamp","in":"query"},{"description":"<i>wallet_category</i> which made transactions","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"<i>wallet_category</i> which made transactions"},"name":"wallet_category","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/transactions/swaps":{"get":{"tags":["Chain Transactions"],"summary":"Get Txs Swaps","operationId":"get_txs_swaps_v1_chain__chain_id__transactions_swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Swaps with <i>token_address</i>","required":false,"schema":{"title":"Token Address","type":"string","description":"Swaps with <i>token_address</i>"},"name":"token_address","in":"query"},{"description":"Swaps in <i>amm</i>","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Swaps in <i>amm</i>"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp. Default now","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp. Default now"},"name":"end_timestamp","in":"query"},{"description":"<i>wallet_category</i> which made swaps","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"<i>wallet_category</i> which made swaps"},"name":"wallet_category","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/transactions/burns":{"get":{"tags":["Chain Transactions"],"summary":"Get Txs Burns","operationId":"get_txs_burns_v1_chain__chain_id__transactions_burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Burns with <i>token_address</i>","required":false,"schema":{"title":"Token Address","type":"string","description":"Burns with <i>token_address</i>"},"name":"token_address","in":"query"},{"description":"Burns in <i>amm</i>","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Burns in <i>amm</i>"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/transactions/mints":{"get":{"tags":["Chain Transactions"],"summary":"Get Txs Mints","operationId":"get_txs_mints_v1_chain__chain_id__transactions_mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Mints with <i>token_address</i>","required":false,"schema":{"title":"Token Address","type":"string","description":"Mints with <i>token_address</i>"},"name":"token_address","in":"query"},{"description":"Mints in <i>amm</i>","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Mints in <i>amm</i>"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/transactions/transfers":{"get":{"tags":["Chain Transactions"],"summary":"Get Txs Transfers","operationId":"get_txs_transfers_v1_chain__chain_id__transactions_transfers_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Transfers with <i>token_address</i>","required":false,"schema":{"title":"Token Address","type":"string","description":"Transfers with <i>token_address</i>"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transfers from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transfers from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transfers to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transfers to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/transactions/{transaction_address}":{"get":{"tags":["Chain Transactions"],"summary":"Get Transaction By Tx Address","operationId":"get_transaction_by_tx_address_v1_chain__chain_id__transactions__transaction_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Transaction address/hash","required":true,"schema":{"title":"Transaction Address","type":"string","description":"Transaction address/hash"},"name":"transaction_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/swaps":{"get":{"tags":["Amm Transactions"],"summary":"Get Amms Swaps","operationId":"get_amms_swaps_v1_chain__chain_id__amms_swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Comma separated amms","required":false,"schema":{"title":"Amms","type":"string","description":"Comma separated amms"},"name":"amms","in":"query"},{"description":"Swaps with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Swaps with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp. Default now","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp. Default now"},"name":"end_timestamp","in":"query"},{"description":"wallet_category which made swaps","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"wallet_category which made swaps"},"name":"wallet_category","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/burns":{"get":{"tags":["Amm Transactions"],"summary":"Get Amms Burns","operationId":"get_amms_burns_v1_chain__chain_id__amms_burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Comma separated amms","required":false,"schema":{"title":"Amms","type":"string","description":"Comma separated amms"},"name":"amms","in":"query"},{"description":"Burns with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Burns with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/mints":{"get":{"tags":["Amm Transactions"],"summary":"Get Amms Mints","operationId":"get_amms_mints_v1_chain__chain_id__amms_mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Comma separated amms. Max 100","required":false,"schema":{"title":"Amms","type":"string","description":"Comma separated amms. Max 100"},"name":"amms","in":"query"},{"description":"Mints with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Mints with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/{amm}/swaps":{"get":{"tags":["Amm Transactions"],"summary":"Get Amm Swaps","operationId":"get_amm_swaps_v1_chain__chain_id__amms__amm__swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"$ref":"#/components/schemas/AmmChoices"},"name":"amm","in":"path"},{"description":"Swaps with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Swaps with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp. Default now","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp. Default now"},"name":"end_timestamp","in":"query"},{"description":"wallet_category which made swaps","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"wallet_category which made swaps"},"name":"wallet_category","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/{amm}/burns":{"get":{"tags":["Amm Transactions"],"summary":"Get Amm Burns","operationId":"get_amm_burns_v1_chain__chain_id__amms__amm__burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"$ref":"#/components/schemas/AmmChoices"},"name":"amm","in":"path"},{"description":"Burns with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Burns with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/{amm}/mints":{"get":{"tags":["Amm Transactions"],"summary":"Get Amm Mints","operationId":"get_amm_mints_v1_chain__chain_id__amms__amm__mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"$ref":"#/components/schemas/AmmChoices"},"name":"amm","in":"path"},{"description":"Mints with token_address","required":false,"schema":{"title":"Token Address","type":"string","description":"Mints with token_address"},"name":"token_address","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms":{"get":{"tags":["Amm Inventory"],"summary":"Get All Amm Inventory","operationId":"get_all_amm_inventory_v1_chain__chain_id__amms_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestAmmListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/amms/{amm}":{"get":{"tags":["Amm Inventory"],"summary":"Get Amm Inventory","operationId":"get_amm_inventory_v1_chain__chain_id__amms__amm__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"$ref":"#/components/schemas/AmmChoices"},"name":"amm","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get Amm Inventory V1 Chain  Chain Id  Amms  Amm  Get","anyOf":[{"$ref":"#/components/schemas/RestAmmModel"},{"$ref":"#/components/schemas/RestAmmListModel"}]}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/market":{"get":{"tags":["Token Finance"],"summary":"Get Tokens Finance","operationId":"get_tokens_finance_v1_chain__chain_id__tokens_market_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Tokens addresses comma separated list. Max 100","required":false,"schema":{"title":"Token Addresses","type":"string","description":"Tokens addresses comma separated list. Max 100"},"name":"token_addresses","in":"query"},{"description":"Show only verified tokens","required":false,"schema":{"title":"Verified","type":"boolean","description":"Show only verified tokens"},"name":"verified","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_token__RestTokenFinanceModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokensFinanceListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/market":{"get":{"tags":["Token Finance"],"summary":"Get Token Finance","operationId":"get_token_finance_v1_chain__chain_id__tokens__token_address__market_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokenFinanceModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/market/history":{"get":{"tags":["Token Finance"],"summary":"Get Token Market History","operationId":"get_token_market_history_v1_chain__chain_id__tokens__token_address__market_history_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Begin timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Begin timestamp"},"name":"begin_timestamp","in":"query"},{"description":"End timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"End timestamp"},"name":"end_timestamp","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokensHistoryListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/lp_tokens/market":{"get":{"tags":["LP Token Finance"],"summary":"Get Lp Tokens Finance","operationId":"get_lp_tokens_finance_v1_chain__chain_id__lp_tokens_market_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Tokens addresses comma separated list. Max 100","required":false,"schema":{"title":"Token Addresses","type":"string","description":"Tokens addresses comma separated list. Max 100"},"name":"token_addresses","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_lp_token__RestLPTokenFinanceModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestLPTokensFinanceListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/lp_tokens/{token_address}/market":{"get":{"tags":["LP Token Finance"],"summary":"Get Lp Token Finance","operationId":"get_lp_token_finance_v1_chain__chain_id__lp_tokens__token_address__market_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestLPTokenFinanceModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/lp_tokens/{token_address}/market/history":{"get":{"tags":["LP Token Finance"],"summary":"Get Lp Token Market History","operationId":"get_lp_token_market_history_v1_chain__chain_id__lp_tokens__token_address__market_history_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Begin timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Begin timestamp"},"name":"begin_timestamp","in":"query"},{"description":"End timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"End timestamp"},"name":"end_timestamp","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestLPTokensHistoryListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens":{"get":{"tags":["Token Inventory"],"summary":"Get Tokens Inventory","operationId":"get_tokens_inventory_v1_chain__chain_id__tokens_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Ticker or token name or something else","required":false,"schema":{"title":"Search String","type":"string","description":"Ticker or token name or something else"},"name":"search_string","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Filter by verified tokens","required":false,"schema":{"title":"Verified","type":"boolean","description":"Filter by verified tokens","default":true},"name":"verified","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokensInventoryListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}":{"get":{"tags":["Token Inventory"],"summary":"Get Token Inventory By Address","operationId":"get_token_inventory_by_address_v1_chain__chain_id__tokens__token_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokenInventoryModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/recently_listed":{"get":{"tags":["Token Inventory"],"summary":"Get Newly Listed Tokens","operationId":"get_newly_listed_tokens_v1_chain__chain_id__recently_listed_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Limit records","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records","default":100},"name":"limit","in":"query"},{"description":"Offset records","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records","default":0},"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTokensInventoryListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/logo":{"get":{"tags":["Token Inventory"],"summary":"Get Token Logo","operationId":"get_token_logo_v1_chain__chain_id__tokens__token_address__logo_get","parameters":[{"description":"Token address","required":true,"schema":{"title":"Token Address","type":"string","description":"Token address"},"name":"token_address","in":"path"},{"description":"Chain id","required":true,"schema":{"allOf":[{"$ref":"#/components/schemas/ChainChoices"}],"description":"Chain id"},"name":"chain_id","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"image/png":{}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/transactions":{"get":{"tags":["Token Transactions"],"summary":"Get Token Transactions","operationId":"get_token_transactions_v1_chain__chain_id__tokens__token_address__transactions_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Wallet category","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"Wallet category"},"name":"wallet_category","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transactions from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transactions from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transactions to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transactions to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/transactions/swaps":{"get":{"tags":["Token Transactions"],"summary":"Get Token Swaps","operationId":"get_token_swaps_v1_chain__chain_id__tokens__token_address__transactions_swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Wallet category","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"Wallet category"},"name":"wallet_category","in":"query"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/transactions/burns":{"get":{"tags":["Token Transactions"],"summary":"Get Token Burns","operationId":"get_token_burns_v1_chain__chain_id__tokens__token_address__transactions_burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/transactions/mints":{"get":{"tags":["Token Transactions"],"summary":"Get Token Mints","operationId":"get_token_mints_v1_chain__chain_id__tokens__token_address__transactions_mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/tokens/{token_address}/transactions/transfers":{"get":{"tags":["Token Transactions"],"summary":"Get Token Transfers","operationId":"get_token_transfers_v1_chain__chain_id__tokens__token_address__transactions_transfers_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"path"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transfers from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transfers from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transfers to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transfers to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}/transactions":{"get":{"tags":["Wallet Transactions"],"summary":"Get Wallet Transactions","operationId":"get_wallet_transactions_v1_chain__chain_id__wallets__wallet_address__transactions_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}/transactions/swaps":{"get":{"tags":["Wallet Transactions"],"summary":"Get Wallet Swaps","operationId":"get_wallet_swaps_v1_chain__chain_id__wallets__wallet_address__transactions_swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}/transactions/burns":{"get":{"tags":["Wallet Transactions"],"summary":"Get Wallet Burns","operationId":"get_wallet_burns_v1_chain__chain_id__wallets__wallet_address__transactions_burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}/transactions/mints":{"get":{"tags":["Wallet Transactions"],"summary":"Get Wallet Mints","operationId":"get_wallet_mints_v1_chain__chain_id__wallets__wallet_address__transactions_mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"},{"description":"Amm","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/AmmChoices"}],"description":"Amm"},"name":"amm","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}/transactions/transfers":{"get":{"tags":["Wallet Transactions"],"summary":"Get Wallet Transfers","operationId":"get_wallet_transfers_v1_chain__chain_id__wallets__wallet_address__transactions_transfers_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transfers from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transfers from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transfers to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transfers to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/pool/{pool_address}/transactions":{"get":{"tags":["Pool Transactions"],"summary":"Get Pool Transactions","operationId":"get_pool_transactions_v1_chain__chain_id__pool__pool_address__transactions_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Pool Address","type":"string"},"name":"pool_address","in":"path"},{"description":"Wallet category","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"Wallet category"},"name":"wallet_category","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transactions from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transactions from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transactions to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transactions to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/pool/{pool_address}/transactions/swaps":{"get":{"tags":["Pool Transactions"],"summary":"Get Pool Swaps","operationId":"get_pool_swaps_v1_chain__chain_id__pool__pool_address__transactions_swaps_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Pool Address","type":"string"},"name":"pool_address","in":"path"},{"description":"Swaps from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Swaps from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Swaps to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Swaps to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Wallet category","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CategoriesChoices"}],"description":"Wallet category"},"name":"wallet_category","in":"query"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/pool/{pool_address}/transactions/burns":{"get":{"tags":["Pool Transactions"],"summary":"Get Pool Burns","operationId":"get_pool_burns_v1_chain__chain_id__pool__pool_address__transactions_burns_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Pool Address","type":"string"},"name":"pool_address","in":"path"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Burns from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Burns from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Burns to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Burns to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/pool/{pool_address}/transactions/mints":{"get":{"tags":["Pool Transactions"],"summary":"Get Pool Mints","operationId":"get_pool_mints_v1_chain__chain_id__pool__pool_address__transactions_mints_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Pool Address","type":"string"},"name":"pool_address","in":"path"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Mints from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Mints from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Mints to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Mints to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/pool/{pool_address}/transactions/transfers":{"get":{"tags":["Pool Transactions"],"summary":"Get Pool Transfers","operationId":"get_pool_transfers_v1_chain__chain_id__pool__pool_address__transactions_transfers_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Pool Address","type":"string"},"name":"pool_address","in":"path"},{"description":"Field to sort by","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"}],"description":"Field to sort by","default":"timestamp"},"name":"sort_by","in":"query"},{"description":"Sorting order","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/OrderChoices"}],"description":"Sorting order","default":"desc"},"name":"order","in":"query"},{"description":"Limit records. Max 100","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 100","default":10},"name":"limit","in":"query"},{"description":"Offset records. Max 5000","required":false,"schema":{"title":"Offset","type":"integer","description":"Offset records. Max 5000","default":0},"name":"offset","in":"query"},{"description":"Transfers from begin_timestamp","required":false,"schema":{"title":"Begin Timestamp","type":"integer","description":"Transfers from begin_timestamp"},"name":"begin_timestamp","in":"query"},{"description":"Transfers to end_timestamp","required":false,"schema":{"title":"End Timestamp","type":"integer","description":"Transfers to end_timestamp"},"name":"end_timestamp","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestSwapsBurnsMintsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/wallets/{wallet_address}":{"get":{"tags":["Wallet Info"],"summary":"Get Wallet Info All Chains","operationId":"get_wallet_info_all_chains_v1_chain_wallets__wallet_address__get","parameters":[{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestWallet"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets":{"get":{"tags":["Wallet Info"],"summary":"Get Wallets Info By Chain","operationId":"get_wallets_info_by_chain_v1_chain__chain_id__wallets_get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"description":"Comma separated wallet addresses. Max 100","required":true,"schema":{"title":"Wallet Addresses","type":"string","description":"Comma separated wallet addresses. Max 100"},"name":"wallet_addresses","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestWalletsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/chain/{chain_id}/wallets/{wallet_address}":{"get":{"tags":["Wallet Info"],"summary":"Get Wallet Info By Chain","operationId":"get_wallet_info_by_chain_v1_chain__chain_id__wallets__wallet_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"path"},{"required":true,"schema":{"title":"Wallet Address","maxLength":45,"type":"string"},"name":"wallet_address","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestWallet"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/dex/overview/trading":{"get":{"tags":["Dex Markets Overview"],"summary":"Get Dex Stats Trading","operationId":"get_dex_stats_trading_v1_dex_overview_trading_get","parameters":[{"required":false,"schema":{"title":"Interval","enum":["day","week","month"],"type":"string","default":"day"},"name":"interval","in":"query"},{"required":false,"schema":{"title":"Token Address","type":"string"},"name":"token_address","in":"query"},{"required":false,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"query"},{"required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CurrencyChoices"}],"default":"S"},"name":"currency","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTradingDexOverview"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/dex/overview/tvl":{"get":{"tags":["Dex Markets Overview"],"summary":"Get Dex Stats Tvl","operationId":"get_dex_stats_tvl_v1_dex_overview_tvl_get","parameters":[{"required":false,"schema":{"title":"Interval","enum":["day","week","month"],"type":"string","default":"day"},"name":"interval","in":"query"},{"required":false,"schema":{"$ref":"#/components/schemas/ChainChoices"},"name":"chain_id","in":"query"},{"required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/CurrencyChoices"}],"default":"S"},"name":"currency","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestTVLDexOverview"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/event/":{"get":{"tags":["Events"],"summary":"Get Events","operationId":"get_events_v1_event__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestEventsModelListModel"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v2/wallet/{address}/events":{"get":{"tags":["Wallet Events"],"summary":"Get Wallet Events","operationId":"get_wallet_events_v2_wallet__address__events_get","parameters":[{"description":"Wallet address","required":true,"schema":{"title":"Address","type":"string","description":"Wallet address"},"name":"address","in":"path"},{"description":"Chain id to filter events","required":false,"schema":{"title":"Chain Id","type":"integer","description":"Chain id to filter events"},"name":"chain_id","in":"query"},{"required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/TransactionChoices"},"default":["swap","burn","mint","transfer"]},"name":"event_types","in":"query"},{"description":"Limit records. Max 5000","required":false,"schema":{"title":"Limit","type":"integer","description":"Limit records. Max 5000","default":10},"name":"limit","in":"query"},{"description":"Search after cursor. Pass here value of last `search_after` in previous response","required":false,"schema":{"title":"Search After","type":"string","description":"Search after cursor. Pass here value of last `search_after` in previous response"},"name":"search_after","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestEventsListModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyDepends":[]}]}},"/v1/block/{chain_id}/timestamp/{timestamp}":{"get":{"tags":["Blocks"],"summary":"Get Block By Timestamp","description":"Returns block by timestamp, closest one, or predicts using Linear Regression if in Future","operationId":"get_block_by_timestamp_v1_block__chain_id__timestamp__timestamp__get","parameters":[{"description":"Chain ID","required":true,"schema":{"allOf":[{"$ref":"#/components/schemas/ChainChoices"}],"description":"Chain ID"},"name":"chain_id","in":"path"},{"description":"Timestamp, seconds or ms, UTC","required":true,"schema":{"title":"Timestamp","type":"integer","description":"Timestamp, seconds or ms, UTC"},"name":"timestamp","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestBlockModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/block/{chain_id}/{block_number}":{"get":{"tags":["Blocks"],"summary":"Get Block","description":"Returns block if exists, or predicts timestamp using Linear Regression if in Future","operationId":"get_block_v1_block__chain_id___block_number__get","parameters":[{"description":"Chain ID","required":true,"schema":{"allOf":[{"$ref":"#/components/schemas/ChainChoices"}],"description":"Chain ID"},"name":"chain_id","in":"path"},{"description":"Block Number","required":true,"schema":{"title":"Block Number","type":"integer","description":"Block Number"},"name":"block_number","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestBlockModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AmmChoices":{"title":"AmmChoices","enum":["uniswap","all","unisw
[...]
